Variable: ClientAccountObserveSchema
Makaio Framework / contracts/client / ClientAccountObserveSchema
Variable: ClientAccountObserveSchema
Section titled “Variable: ClientAccountObserveSchema”
constClientAccountObserveSchema:object
Defined in: ../../../packages/contracts/src/client/account-identity.ts:138
Request and response schemas for client.account.observe.
Type Declaration
Section titled “Type Declaration”request
Section titled “request”request:
ZodObject<{clientId:ZodString;displayLabel:ZodOptional<ZodString>;identifiers:ZodArray<ZodObject<{scheme:ZodString;strength:ZodEnum<{alias:"alias";strong:"strong"; }>;value:ZodString; },$strip>>;metadata:ZodOptional<ZodRecord<ZodString,ZodUnknown>>;observedAt:ZodOptional<ZodNumber>; },$strip>
response
Section titled “response”response:
ZodObject<{clientAccountId:ZodString;displayLabel:ZodOptional<ZodString>; },$strip>